Bug 197836 - CVE-2006-3403 Samba denial of service
CVE-2006-3403 Samba denial of service
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
: Security
: 198673 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-07-06 14:23 EDT by Josh Bressers
Modified: 2014-08-31 19:28 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHSA-2006-0591
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-25 08:56:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch from upstream (469 bytes, patch)
2006-07-06 14:30 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2006-07-06 14:23:59 EDT
Samba denial of service

Upstream alerted us to a denial of service bug in Samba.

Here is the description from the mail:

We've got a small anonymous DoS against Samba 3.0.1 - 3.0.22
inclusive.  The bug is caused by continually increasing
the size of an array which maintains state information about
the number of active share connections.  The result is that
an attacker could cause a single smbd to bloat exhausting
the memory on a server.

This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 1 Josh Bressers 2006-07-06 14:30:16 EDT
Created attachment 132013 [details]
Patch from upstream
Comment 2 Josh Bressers 2006-07-10 17:18:50 EDT
Lifting embargo:
Comment 3 Jay Fenlason 2006-07-12 13:39:22 EDT
*** Bug 198673 has been marked as a duplicate of this bug. ***
Comment 7 Red Hat Bugzilla 2006-07-25 08:56:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.